aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdownload.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/download.sh b/download.sh
index 6d09ad1..99b0f7d 100755
--- a/download.sh
+++ b/download.sh
@@ -10,12 +10,12 @@ cat packages.csv | while read line; do
if [ ! -f "${CACHEFILE}" ]; then
- echo -ne "${PRP}Downloading ${YLW}${URL}${RST}... "
+ echo -ne "${PRP}Downloading ${YLW}${CACHEFILE}${RST}... "
wget -nc -q -O "${LFS_SRC}/${CACHEFILE}" "${URL}" & pid=$!
spinner "$pid"
- if ! echo "${MD5SUM} ${LFS_SRC}/${CACHEFILE}" | md5sum -c >/dev/null; then
+ if ! echo "${MD5SUM} ${LFS_SRC}/${CACHEFILE}" | md5sum -c > /dev/null 2>&1; then
rm -f "${LFS_SRC}/${CACHEFILE}"
- echo -e "${GRN}Verification of ${YLW}${CACHEFILE} ${RED}failed! MD5 mismatch!${RST}"
+ echo -e "\n${GRN}Verification of ${YLW}${CACHEFILE} ${RED}failed! MD5 mismatch!${RST}"
exit 1
fi